package cz.moneta.test.dsl.util.task.ufo.operations;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.operations.client.clientDetail.STS701_S002_ClientDetailPage;
import cz.moneta.test.dsl.ufo.operations.search.OPS001_S001_ClientSearchPageUfoOperations;

import java.util.function.Function;

public class SavingAccountTasks {

    private final Harness harness;

    public SavingAccountTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<OPS001_S001_ClientSearchPageUfoOperations, STS701_S002_ClientDetailPage> searchClientAndClickOnAccountList(String rc) {
        return start -> start.fillSearchInput(rc)
                .clickSearchClient()
                .onClientDetailsPage()
                .clickAccountList();
    }
}